/* 价格字体统一用这个，粗细程度也先用这个，后续再根据需求调整字体的font-weight生效范围 */
@font-face {
    font-family: 'Baidu Number Plus';
    src: url('../iconfont/BaiduNumberPlus_Medium.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

#data-ssr {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    z-index: 0;
    background-color: #f5f5f5;
}

html {
    font-family: sans-serif !important;
    color: #000;
}

input {
    background-color: transparent;
}

.web-toast {
    position: fixed;
    left: 0;
    right: 0;
    top: 50%;
    z-index: 99999;
    display: block;
    text-align: center;
}

.web-toast-content {
    background: rgba(0, 0, 0, 0.8);
    border-radius: 12px;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    padding: 13px 17px;
    font-size: 14px;
    box-sizing: border-box;
    max-width: 80%;
    display: inline-block;
}

#web_toast_text {
    text-overflow: ellipsis;
    white-space: normal;
    overflow: hidden;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    max-width: 28ch;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
}
.ptr--ptr {
    position: relative;
    box-shadow: none!important
}

.ptr--text {
    visibility: hidden
}

.ptr--release .ptr--icon {
    transform: none!important
}

.ptr--athos-refresh-icon--pull,.ptr--athos-refresh-icon--refresh {
    width: 31px;
    height: 31px;
    margin-bottom: -32px;
    opacity: var(--bd-theme-opacity-android)
}

.refresh-in-android {
    width: 24px;
    height: 24px;
    margin-bottom: -20px;
    opacity: var(--bd-theme-opacity-android)
}

.immersive-top.svelte-ved7xk {
    padding-top: 2.49094203rem
}

.ptr--ptr {
    position: relative;
    box-shadow: none!important
}

.ptr--text {
    visibility: hidden
}

.ptr--release .ptr--icon {
    transform: none!important
}

.ptr--athos-refresh-icon--pull,.ptr--athos-refresh-icon--refresh {
    width: 31px;
    height: 31px;
    margin-bottom: -32px;
    opacity: var(--bd-theme-opacity-android)
}

.refresh-in-android {
    width: 24px;
    height: 24px;
    margin-bottom: -20px;
    opacity: var(--bd-theme-opacity-android)
}

.star-rating.svelte-1sxugy4.svelte-1sxugy4 {
    display: flex;
    align-items: center;
    gap: .13586957rem
}

.star-rating.svelte-1sxugy4 .star-wrapper.svelte-1sxugy4 {
    position: relative;
    line-height: 1
}

.star-rating.svelte-1sxugy4 .star-wrapper .star-fg.svelte-1sxugy4 {
    position: absolute;
    top: 0;
    left: 0
}

.preview-select.svelte-1ror8ta {
    position: relative;
    overflow: visible!important
}

.preview-select.svelte-1ror8ta:after {
    content: "";
    pointer-events: none;
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(217,21,11,.4)!important
}

.preview-update.svelte-1ror8ta {
    box-shadow: 0 0 2px 2px #c5fcdc;
    background-color: #c5fcdc!important
}

.base-btn.svelte-1ror8ta {
    cursor: pointer
}

.base-btn.svelte-1ror8ta:active {
    opacity: .4
}

.ptr--ptr {
    position: relative;
    box-shadow: none!important
}

.ptr--text {
    visibility: hidden
}

.ptr--release .ptr--icon {
    transform: none!important
}

.ptr--athos-refresh-icon--pull,.ptr--athos-refresh-icon--refresh {
    width: 31px;
    height: 31px;
    margin-bottom: -32px;
    opacity: var(--bd-theme-opacity-android)
}

.refresh-in-android {
    width: 24px;
    height: 24px;
    margin-bottom: -20px;
    opacity: var(--bd-theme-opacity-android)
}

.night-cover.svelte-1ror8ta {
    position: absolute;
    background-color: rgba(0,0,0,.5);
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    pointer-events: none
}

.img-class.svelte-1ror8ta {
    display: block;
    pointer-events: none
}

.media-hight-auto.svelte-1ror8ta {
    width: 100%;
    height: 100%
}

.img-hight-auto.svelte-1ror8ta {
    width: 100%;
    height: 100%;
    object-fit: cover
}

.ptr--ptr {
    position: relative;
    box-shadow: none!important
}

.ptr--text {
    visibility: hidden
}

.ptr--release .ptr--icon {
    transform: none!important
}

.ptr--athos-refresh-icon--pull,.ptr--athos-refresh-icon--refresh {
    width: 31px;
    height: 31px;
    margin-bottom: -32px;
    opacity: var(--bd-theme-opacity-android)
}

.refresh-in-android {
    width: 24px;
    height: 24px;
    margin-bottom: -20px;
    opacity: var(--bd-theme-opacity-android)
}

@keyframes svelte-fl73c9-load {
    0% {
        transform: rotateY(0)
    }

    35% {
        transform: rotateY(180deg)
    }

    70% {
        transform: rotateY(360deg)
    }

    to {
        transform: rotateY(360deg)
    }
}

.feed.svelte-fl73c9 .loading-bar.svelte-fl73c9 {
    width: 100%;
    font-size: .79257246rem;
    color: #848691;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center
}

.feed.svelte-fl73c9 .loading-bar .loading.svelte-fl73c9,.feed.svelte-fl73c9 .loading-bar .fail.svelte-fl73c9,.feed.svelte-fl73c9 .loading-bar .nomore.svelte-fl73c9 {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    margin-top: .415157rem;
    padding-top: .96240942rem;
    padding-bottom: 1.52853261rem
}

.feed.svelte-fl73c9 .loading-icon.svelte-fl73c9 {
    margin-right: .37741546rem;
    font-size: .9057971rem;
    color: #fa3264;
    background: linear-gradient(to right,#ff464b,#fa3264);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    animation: svelte-fl73c9-load 1s linear infinite;
    opacity: var(--bd-theme-opacity-android)
}

.feed.svelte-fl73c9 .fresh-icon.svelte-fl73c9 {
    font-size: .79257246rem;
    margin-left: .37741546rem
}

.end-safe-padding.svelte-fl73c9.svelte-fl73c9 {
    padding-bottom: constant(safe-area-inset-bottom);
    padding-bottom: env(safe-area-inset-bottom)
}

.feed-max.svelte-fl73c9.svelte-fl73c9 {
    width: 100%;
    padding-bottom: calc(40 * .01887077rem + constant(safe-area-inset-bottom));
    padding-bottom: calc(40 * .01887077rem + env(safe-area-inset-bottom))
}